import axios from 'axios';
import config from '@api/config.js';

const urls = config.urls;
const groupParams = config.groupParams;
export default {
    getIcssEnumsData(){
        return axios.post(urls.getIcssEnumsData)
    },
    getDropList() {
        return axios.post(urls.getDropList)
    },
    getPromptList(param){
      return axios.post(urls.getPromptList,param)
    },
    addPromptInfo(param){
        return axios.post(urls.addPromptInfo,param)
    },
    delPromptInfo(param){
        return axios.post(urls.delPromptInfo,param)
    },
    PromptInfoDetail(param){
        return axios.post(urls.PromptInfoDetail,param)
    },
    getPrompDetail(param){
      return axios.post(urls.PromptInfoDetail,param);
    },
    getTremList(param){
      return axios.post(urls.getConceptKnowledge,param);
    },
    getConceptInfo(param){
      return axios.post(urls.getConceptInfo,param);
    },
    saveTermPrompts(param){
      return axios.post(urls.saveConceptInfo,param);
    },
    getTagList(param) {
        return axios.post(urls.getTagList, param)
    },
    searchTagList(param) {
        return axios.post(urls.searchTagList, param)
    },
    validateSystomName(param) {
        return axios.post(urls.searchTagList, param)
    },
    detailsTagList(param) {
        return axios.post(urls.detailsTagList, param)
    },
    detailsTag(param) {   //根据id返回数据
      return axios.post(urls.detailsTag, param)
    },
    getDeptInfo(param) {//科室维护
        return axios.post(urls.getDeptInfo, param)
    },
    getDeptInfoDetials(param) {//科室维护-详情
        return axios.post(urls.getDeptInfoDetials, param)
    },
    deleteDeptInfo(param) {//科室维护-删除
        return axios.post(urls.deleteDeptInfo, param)
    },
    addDeptInfo(param) {//科室维护-添加
        return axios.post(urls.addDeptInfo, param)
    },
    modifDeptInfo(param) {//科室维护-修改
        return axios.post(urls.modifDeptInfo, param)
    },
    saveOrUpdate(param) {
        return axios.post(urls.saveOrUpdate, param);
    },
    savePrompts(param){
      return axios.post(urls.addPromptInfo, param);
    },
    deleteTagGroup(param) {
        return axios.post(urls.deleteTagGroup, param)
    },
    getGroupParams(val){
      if(val == 2){
        return groupParams[0]
      }else if(val == 3){
        return groupParams[1]
      }else if(val == 4){
        return groupParams[2]
      }else if(val == 6){
        return groupParams[3]
      }else if(val == 7){
        return groupParams[4]
      }else if(val == 11){
        return groupParams[5]
      }else {
        return null
      }
    },
    similarName(param) {//别名维护
        return axios.post(urls.similarName, param)
    },
    delSimilarName(param) {//别名维护-删除
        return axios.post(urls.delSimilarName, param)
    },
    similarNameDetl(param) {//别名维护-详情
        return axios.post(urls.similarNameDetl, param)
    },
    addSimilarName(param) {//别名维护-添加、修改
        return axios.post(urls.addSimilarName, param)
    },
    searchLable(param) {//别名维护-搜索标签
        return axios.post(urls.searchLable, param)
    },
    uploadFile(param) {//别名维护-导入
        return axios.post(urls.uploadFile, param)
    },
    commonSymptomList(param) {  //常见症状维护-常见症状列表
        return axios.post(urls.commonSymptomList, param)
    },
    getDepartmentList() {   //常见症状维护-获取科室列表
        return axios.post(urls.getDepartmentList)
    },
    getSymptomList(param) {
        return axios.post(urls.getSymptomList, param)
    },
    addCommonSymptom(param) {
        return axios.post(urls.addCommonSymptom, param)
    },
    delCommonSymptom(param) {
        return axios.post(urls.delCommonSymptom, param)
    },
    discInformation(param) {//免责声明
        return axios.post(urls.discInformation, param)
    },
    addDiscInformation(param) {//免责声明-新增
        return axios.post(urls.addDiscInformation, param)
    },
    modifDiscInformation(param) {//免责声明-修改
        return axios.post(urls.modifDiscInformation, param)
    },
    delDiscInformation(param) {//免责声明-删除
        return axios.post(urls.delDiscInformation, param)
    },
    closeInformation(param) {//免责声明-停用
        return axios.post(urls.closeInformation, param)
    },
    openInformation(param) {//免责声明-停用
        return axios.post(urls.openInformation, param)
    },
    updateModuleInfo(param) {//模板维护系统修改
        return axios.post(urls.updateModuleInfo, param)
    },
    saveModuleInfo(param) {//模板维护系统新增
        return axios.post(urls.saveModuleInfo, param)
    },
    getModuleInfoList(param) {//模板维护系统列表
        return axios.post(urls.getModuleInfoList, param)
    },
    getModuleInfoSub(param) {//获取子模板列表
        return axios.post(urls.getModuleInfoSub, param)
    },
    getQuestionInfos(param) {//获取模板维护标签池数据
        return axios.post(urls.getQuestionInfos, param)
    },
    getModuleInfoOne(param) {//模板维护系统修改获取单个模板信息顶部信息
        return axios.post(urls.getModuleInfoOne, param)
    },
    getModuleDetailInfo(param) {//模板维护系统修改获取单个模板信息右侧信息
        return axios.post(urls.getModuleDetailInfo, param)
    },
    delTemplate(param) {//模板维护系统删除单个模板信息
        return axios.post(urls.delTemplate, param)
    },
    getPhysicalExamTempList(param) {
        return axios.post(urls.getPhysicalExamTempList, param)
    },
    getPhysicalExamTempDepartList() {
        return axios.post(urls.getPhysicalExamTempDepartList)
    },
    getPhysicalExamTempByDepId(param) {
        return axios.post(urls.getPhysicalExamTempByDepId, param)
    },
    savePhysicalExamTemp(param) {
        return axios.post(urls.savePhysicalExamTemp, param)
    },
    delPhysicalExamTemp(param) {
        return axios.post(urls.delPhysicalExamTemp, param)
    },
    versionInfo(param) {//版本信息
      return axios.post(urls.versionInfo, param)
    },
    addVersInfo(param) {//版本信息-添加
      return axios.post(urls.addVersInfo, param)
    },
    updateVersInfo(param) {//版本信息-修改
      return axios.post(urls.updateVersInfo, param)
    },
    delVersionInfo(param) {//版本信息-删除说明
      return axios.post(urls.delVersionInfo, param)
    },
    addVersionInfo(param) {//版本信息-添加说明
      return axios.post(urls.addVersionInfo, param)
    },
    modiVersionInfo(param) {//版本信息-修改说明
      return axios.post(urls.modiVersionInfo, param)
    },
    getVersionDetlInfo(param) {//版本信息-版本说明列表
      return axios.post(urls.getVersionDetlInfo, param)
    },
}